Update List
curl --request PATCH \
--url https://stardrift.ai/api/saved/lists/{list_id} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"city": "<string>",
"cover_image_url": "<string>",
"source_author": "<string>",
"intro": "<string>"
}
'import requests
url = "https://stardrift.ai/api/saved/lists/{list_id}"
payload = {
"title": "<string>",
"city": "<string>",
"cover_image_url": "<string>",
"source_author": "<string>",
"intro": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
city: '<string>',
cover_image_url: '<string>',
source_author: '<string>',
intro: '<string>'
})
};
fetch('https://stardrift.ai/api/saved/lists/{list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"source": "<string>",
"source_url": "<string>",
"source_author": "<string>",
"city": "<string>",
"cover_image_url": "<string>",
"item_count": 123,
"is_shared": true,
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "public",
"slug": "<string>",
"public_url": "<string>",
"failed_reason": "post_unavailable",
"routes": [],
"intro": "<string>",
"sections": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}saved
Update List
PATCH
/
saved
/
lists
/
{list_id}
Update List
Path Parameters
Body
application/json
Response
Successful Response
Available options:
public, private Allowed value:
"post_unavailable"Show child attributes
Show child attributes
Show child attributes
Show child attributes
